// for this class to apply the style, the html will need to duplicate the text
// using data-text
.mixed-shadow {
  position: relative;
  color: var(--neon-blue);
  &::after {
    content: attr(data-text);
    position: absolute;
    transform: translateX(var(--neon-offset-x)) translateY(var(--neon-offset-y));
    top: 0;
    left: 0;
    color: var(--neon-yellow);
    mix-blend-mode: var(--blend-mode);
    pointer-events: none;
  }
}

.mixed-shadow-bg {
  position: relative;
  width: max-content;
  mix-blend-mode: var(--blend-mode);
  color: white;
  padding: 0 $s4;
  background-color: var(--neon-blue);
  margin-bottom: $s6;
  transform: skewY(-1deg);

  &:after {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0; left: 0;
    transform: translateX(var(--neon-offset-x)) translateY(var(--neon-offset-y));
    background-color: var(--neon-yellow);
    mix-blend-mode: var(--blend-mode);
    z-index: -1;
  }
}